API Reference
Update Contact Property
PATCH /contact-properties/:id — update an existing contact property.
PATCH
/contact-properties/:idUpdate an existing contact property.
Path parameters
contact_property_idstringrequiredThe Contact Property ID.
The
key and type fields cannot be changed after creation. This preserves data integrity for existing contact values.Body parameters
fallback_valuestring | numberoptionalThe default value to use when the property is not set for a contact. Must match the type of the property.
import { MailBlastr } from 'mailblastr';
const mb = new MailBlastr('mb_xxxxxxxxx');
const { data, error } = await mb.contactProperties.update('b6d24b8e-af0b-4c3c-be0c-359bbd97381e', {
"fallback_value": "Example Company"
});
console.log({ data, error });Response
{
"object": "contact_property",
"id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e"
}